io.agora.rtc

## Class RtcConnConfig

- java.lang.Object
- - io.agora.rtc.RtcConnConfig

-     public class RtcConnConfig
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `audioRecvEncodedFrame` Determines whether to receive audio encoded frame or not.
    `private int` | `audioRecvMediaPacket` Determines whether to receive audio media packet or not.
    `private AudioSubscriptionOptions` | `audioSubsOptions` The options for audio subscription: AudioSubscriptionOptions.
    `private int` | `autoSubscribeAudio` Determines whether to subscribe to all audio streams automatically.
    `private int` | `autoSubscribeVideo` Determines whether to subscribe to all video streams automatically.
    `private int` | `channelProfile`
    `private int` | `clientRoleType` The role of the user: #CLIENT_ROLE_TYPE.
    `private int` | `enableAudioRecordingOrPlayout` Determines whether to enable audio recording or playout.
    `private int` | `maxPort` The maximum port.
    `private int` | `maxSendBitrate` The maximum sending bitrate.
    `private int` | `minPort` The minimum port.
    `private int` | `videoRecvMediaPacket` Determines whether to receive video media packet or not.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtcConnConfig()`
    `RtcConnConfig(int autoSubscribeAudio, int autoSubscribeVideo, int enableAudioRecordingOrPlayout, int maxSendBitrate, int minPort, int maxPort, AudioSubscriptionOptions audioSubsOptions, int clientRoleType, int channelProfile, int audioRecvMediaPacket, int audioRecvEncodedFrame, int videoRecvMediaPacket)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAudioRecvEncodedFrame()`
    `int` | `getAudioRecvMediaPacket()`
    `AudioSubscriptionOptions` | `getAudioSubsOptions()`
    `int` | `getAutoSubscribeAudio()`
    `int` | `getAutoSubscribeVideo()`
    `int` | `getChannelProfile()`
    `int` | `getClientRoleType()`
    `int` | `getEnableAudioRecordingOrPlayout()`
    `int` | `getMaxPort()`
    `int` | `getMaxSendBitrate()`
    `int` | `getMinPort()`
    `int` | `getVideoRecvMediaPacket()`
    `void` | `setAudioRecvEncodedFrame(int audioRecvEncodedFrame)`
    `void` | `setAudioRecvMediaPacket(int audioRecvMediaPacket)`
    `void` | `setAudioSubsOptions(AudioSubscriptionOptions audioSubsOptions)`
    `void` | `setAutoSubscribeAudio(int autoSubscribeAudio)`
    `void` | `setAutoSubscribeVideo(int autoSubscribeVideo)`
    `void` | `setChannelProfile(int channelProfile)`
    `void` | `setClientRoleType(int clientRoleType)`
    `void` | `setEnableAudioRecordingOrPlayout(int enableAudioRecordingOrPlayout)`
    `void` | `setMaxPort(int maxPort)`
    `void` | `setMaxSendBitrate(int maxSendBitrate)`
    `void` | `setMinPort(int minPort)`
    `void` | `setVideoRecvMediaPacket(int videoRecvMediaPacket)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### autoSubscribeAudio

          private int autoSubscribeAudio

      Determines whether to subscribe to all audio streams automatically. - 1: (Default) Subscribe to all audio streams automatically. - 0: Do not subscribe to any audio stream automatically.

    - #### autoSubscribeVideo

          private int autoSubscribeVideo

      Determines whether to subscribe to all video streams automatically. - 1: (Default) Subscribe to all video streams automatically. - 0: Do not subscribe to any video stream automatically.

    - #### enableAudioRecordingOrPlayout

          private int enableAudioRecordingOrPlayout

      Determines whether to enable audio recording or playout. - 1: It's used to publish audio and mix microphone, or subscribe audio and playout - 0: It's used to publish extenal audio frame only without mixing microphone, or no need audio device to playout audio either

    - #### maxSendBitrate

          private int maxSendBitrate

      The maximum sending bitrate.

    - #### minPort

          private int minPort

      The minimum port.

    - #### maxPort

          private int maxPort

      The maximum port.

    - #### audioSubsOptions

          private AudioSubscriptionOptions audioSubsOptions

      The options for audio subscription: AudioSubscriptionOptions.

    - #### clientRoleType

          private int clientRoleType

      The role of the user: #CLIENT_ROLE_TYPE. The default user role is CLIENT_ROLE_AUDIENCE.

    - #### audioRecvMediaPacket

          private int audioRecvMediaPacket

      Determines whether to receive audio media packet or not.

    - #### audioRecvEncodedFrame

          private int audioRecvEncodedFrame

      Determines whether to receive audio encoded frame or not.

    - #### videoRecvMediaPacket

          private int videoRecvMediaPacket

      Determines whether to receive video media packet or not.

    - #### channelProfile

          private int channelProfile

  - ### Constructor Detail

    - #### RtcConnConfig

          public RtcConnConfig()

    - #### RtcConnConfig

          public RtcConnConfig(int autoSubscribeAudio,
                               int autoSubscribeVideo,
                               int enableAudioRecordingOrPlayout,
                               int maxSendBitrate,
                               int minPort,
                               int maxPort,
                               AudioSubscriptionOptions audioSubsOptions,
                               int clientRoleType,
                               int channelProfile,
                               int audioRecvMediaPacket,
                               int audioRecvEncodedFrame,
                               int videoRecvMediaPacket)

  - ### Method Detail

    - #### getAutoSubscribeAudio

          public int getAutoSubscribeAudio()

    - #### setAutoSubscribeAudio

          public void setAutoSubscribeAudio(int autoSubscribeAudio)

    - #### getAutoSubscribeVideo

          public int getAutoSubscribeVideo()

    - #### setAutoSubscribeVideo

          public void setAutoSubscribeVideo(int autoSubscribeVideo)

    - #### getEnableAudioRecordingOrPlayout

          public int getEnableAudioRecordingOrPlayout()

    - #### setEnableAudioRecordingOrPlayout

          public void setEnableAudioRecordingOrPlayout(int enableAudioRecordingOrPlayout)

    - #### getMaxSendBitrate

          public int getMaxSendBitrate()

    - #### setMaxSendBitrate

          public void setMaxSendBitrate(int maxSendBitrate)

    - #### getMinPort

          public int getMinPort()

    - #### setMinPort

          public void setMinPort(int minPort)

    - #### getMaxPort

          public int getMaxPort()

    - #### setMaxPort

          public void setMaxPort(int maxPort)

    - #### getAudioSubsOptions

          public AudioSubscriptionOptions getAudioSubsOptions()

    - #### setAudioSubsOptions

          public void setAudioSubsOptions(AudioSubscriptionOptions audioSubsOptions)

    - #### getClientRoleType

          public int getClientRoleType()

    - #### setClientRoleType

          public void setClientRoleType(int clientRoleType)

    - #### getChannelProfile

          public int getChannelProfile()

    - #### setChannelProfile

          public void setChannelProfile(int channelProfile)

    - #### getAudioRecvMediaPacket

          public int getAudioRecvMediaPacket()

    - #### setAudioRecvMediaPacket

          public void setAudioRecvMediaPacket(int audioRecvMediaPacket)

    - #### getAudioRecvEncodedFrame

          public int getAudioRecvEncodedFrame()

    - #### setAudioRecvEncodedFrame

          public void setAudioRecvEncodedFrame(int audioRecvEncodedFrame)

    - #### getVideoRecvMediaPacket

          public int getVideoRecvMediaPacket()

    - #### setVideoRecvMediaPacket

          public void setVideoRecvMediaPacket(int videoRecvMediaPacket)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`